tt_ptr_error(library call)

NAME
tt_ptr_error — pointer error macro

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_ptr_error(
pointer);

DESCRIPTION

The tt_ptr_error macro expands to tt_pointer_error((void *)(p)).

The pointer argument is the opaque pointer or character pointer to be checked.

RETURN VALUE

Upon successful completion, the tt_ptr_error function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3).